////////////////////////////////////////////////////////////////////////////////
//                            MyBboxUpdaterGeometry3DVisitor.h                //
////////////////////////////////////////////////////////////////////////////////

#ifndef MYBBOXUPDATERGEOMETRY3DVISITOR_H
#define MYBBOXUPDATERGEOMETRY3DVISITOR_H

#include <X3DTK/bboxupdater.h>

namespace X3DTK {
namespace X3D {

class Icosahedron;

// Visitor for the Geometry3D component of the MyBboxUpdater processor.

class MyBboxUpdaterGeometry3DVisitor : public BboxUpdaterGeometry3DVisitor
{
public:
  // Constructor.
  MyBboxUpdaterGeometry3DVisitor();

  // Enters an X3DAbstractNode.
  virtual void enterIcosahedron(Icosahedron *I) const;
};

}
}

#endif
