////////////////////////////////////////////////////////////////////////////////
//                            GLSimpleAnimatorGeometry3DVisitor.h             //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLSIMPLEANIMATORGEOMETRY3DVISITOR_H
#define GLSIMPLEANIMATORGEOMETRY3DVISITOR_H

#include "GLSimpleAnimatorGlobalVariables.h"

#include <X3DTK/kernel.h>

namespace X3DTK {
namespace GL {

class IndexedFaceSet;

/// Visitor for the Geometry3D component of the SimpleAnimator module.

class SimpleAnimatorGeometry3DVisitor : public Geometry3DVisitor
{
public:
  /// Constructor.
  SimpleAnimatorGeometry3DVisitor();
  /// Destructor.
  virtual ~SimpleAnimatorGeometry3DVisitor();

  /// Enters a GL::IndexedFaceSet.
  virtual void enterIndexedFaceSet(IndexedFaceSet *I) const;

protected:
  SimpleAnimatorGlobalVariables *globalVariables;
};

}
}

#endif
