#include "GL_X3DNode.h"

namespace X3DTK {
namespace GL {

X3DNode::X3DNode()
: X3DAbstractNode(), x3dReference(0)
{
  defineTypeName("X3DNode", "Core", "GL");
}

X3DNode::X3DNode(const X3DNode &N)
: X3DAbstractNode(N), x3dReference(N.x3dReference)
{
}

SFNode X3DNode::clone() const
{
  return 0;
}

X3DNode::~X3DNode()
{
}

void X3DNode::setX3DReference(X3D::SFNode N)
{
  x3dReference = N;
}

void X3DNode::update()
{
}

void X3DNode::render() const
{
}

}
}
