#include "Loader.h"
#include "Creator.h"

#ifdef XERCES
  #include "XercesLoader.h"
#endif
#ifdef LIBXML
  #include "libXMLLoader.h"
#endif
#ifdef QT
  #include "QLoader.h"
#endif

//#include "FileValidator.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

Loader::Loader()
#ifdef XERCES
: _impl(new XercesLoader(new Creator()))
#endif
#ifdef LIBXML
: _impl(new libXMLLoader(new Creator())) 
#endif
#ifdef QT
: _impl(new QLoader(new Creator()))
#endif
{
//  this->fileValidator = new X3D::FileValidator();
}

Loader::~Loader()
{
//  delete fileValidator;
}

}
}
