#include "X3DLoader.h"
#include "Creator.h"
#include "X3DComponentCreator.h"
//#include "X3DFileValidator.h"

namespace X3DTK {
namespace X3D {

X3DLoader::X3DLoader()
: creator(0), fileValidator(0)
{
}

X3DLoader::~X3DLoader()
{
}

void X3DLoader::setComponentCreator(X3DComponentCreator *component)
{
  if (creator != 0)
    creator->setComponentCreator(component);
}

void X3DLoader::setFileValidator(X3D::X3DFileValidator *fileValidator)
{
//  this->fileValidator = fileValidator;
}

X3D::Scene *X3DLoader::load(const char *file, bool fileValidation) const
{
  X3D::Scene *S = loadFile(file, fileValidation);
/*  if ((fileValidation) && (fileValidator != 0))
    fileValidator->validate(S);*/

  return S;
}

}
}
