#include "Geometry3DCreator.h"
#include "Box.h"
#include "Cone.h"
#include "Cylinder.h"
#include "IndexedFaceSet.h"
#include "Sphere.h"

namespace X3DTK {
namespace X3D {

Geometry3DCreator::Geometry3DCreator()
{
  defineComponentName("Geometry3D", "X3D");

  defineNewNode<Box>();
  defineNewNode<Cone>();
  defineNewNode<Cylinder>();
  defineNewNode<IndexedFaceSet>();
  defineNewNode<Sphere>();
}

Geometry3DCreator::~Geometry3DCreator()
{
}

}
}
