TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dcomponentactors

HEADERS = \
  DFSCoreWalker.h \
  DFSGeometry3DWalker.h \
  DFSGroupingWalker.h \
  DFSInterpolationWalker.h \
  DFSLightingWalker.h \
  DFSNURBSWalker.h \
  DFSRenderingWalker.h \
  DFSShapeWalker.h \
  DFSTexturingWalker.h \
  DFSGraphTraversal.h \
  CoreVisitor.h \
  Geometry3DVisitor.h \
  GroupingVisitor.h \
  InterpolationVisitor.h \
  LightingVisitor.h \
  NURBSVisitor.h \
  RenderingVisitor.h \
  ShapeVisitor.h \
  TexturingVisitor.h 

SOURCES = \  
  DFSCoreWalker.cpp \
  DFSGeometry3DWalker.cpp \
  DFSGroupingWalker.cpp \
  DFSInterpolationWalker.cpp \
  DFSLightingWalker.cpp \
  DFSNURBSWalker.cpp \
  DFSRenderingWalker.cpp \
  DFSShapeWalker.cpp \
  DFSTexturingWalker.cpp \
  DFSGraphTraversal.cpp \
  CoreVisitor.cpp \
  Geometry3DVisitor.cpp \
  GroupingVisitor.cpp \
  InterpolationVisitor.cpp \
  LightingVisitor.cpp \
  NURBSVisitor.cpp \
  RenderingVisitor.cpp \
  ShapeVisitor.cpp \
  TexturingVisitor.cpp 
  
include(../../X3DToolKit.pri)

INCLUDEPATH += ../../../include/X3DTK
INCLUDEPATH += ../../../include/X3DTK/private

DESTDIR  = ../../../lib
OBJECTS_DIR = ../../../obj
