#include "GL_RendererCoreVisitor.h"
#include "GL_Scene.h"

namespace X3DTK {
namespace GL {

RendererCoreVisitor::RendererCoreVisitor()
: CoreVisitor()
{
  // Enter functions.
  defineNewEnterFunction(&RendererCoreVisitor::enterX3DNode);

  // GlobalVariables assignation.
  globalVariables = GVManager::getInstanceOf<RendererGlobalVariables>();
}

RendererCoreVisitor::~RendererCoreVisitor()
{
}

void RendererCoreVisitor::enterX3DNode(X3DNode *N) const
{
  N->render();
}

}
}
