////////////////////////////////////////////////////////////////////////////////
///                            GLNormalRendererGlobalVariables.h             ///
////////////////////////////////////////////////////////////////////////////////

#ifndef GLNORMALRENDERERGLOBALVARIABLES_H
#define GLNORMALRENDERERGLOBALVARIABLES_H

#include <X3DTK/kernel.h>

namespace X3DTK {
namespace GL {

/// GlobalVariables for the GLRenderer module.

class NormalRendererGlobalVariables : public GlobalVariables
{
public:
  /// Constructor.
  NormalRendererGlobalVariables();
  /// Destructor.
  virtual ~NormalRendererGlobalVariables();
  
  void setNormalLength(float value);
  float getNormalLength() const {return _normalLength;};
  
private:
  float _normalLength;
};

}
}

#endif
