#include "InfoReader.h"
#include "MyDFSGraphTraversal.h"
#include "InfoReaderGroupingVisitor.h"

namespace X3DTK {
namespace X3D {

InfoReader::InfoReader()
{
  graphTraversal = new MyDFSGraphTraversal();
  graphTraversal->setComponentVisitor(new InfoReaderGroupingVisitor());
}

InfoReader::~InfoReader()
{
  delete graphTraversal;
}

void InfoReader::read(SFNode N)
{
  graphTraversal->traverse(N);
}

}
}
