////////////////////////////////////////////////////////////////////////////////
///                            MyDFSGroupingWalker.h                         ///
////////////////////////////////////////////////////////////////////////////////

#ifndef MyDFSGROUPINGWALKER_H
#define MyDFSGROUPINGWALKER_H

#include <X3DTK/x3dscenegraph.h>

namespace X3DTK {
namespace X3D {

class Info;

/// Concrete component walker for the Grouping component.

class MyDFSGroupingWalker : public DFSGroupingWalker
{
public:
  /// Constructor.
  MyDFSGroupingWalker();
  /// Destructor.
  virtual ~MyDFSGroupingWalker();
  
  /// Walks an Info.
  virtual void walkInfo(Info *I) const;
};

}
}

#endif
