////////////////////////////////////////////////////////////////////////////////
///                            MeshTransformComputer.h                       ///
////////////////////////////////////////////////////////////////////////////////

#ifndef MESHTRANSFORMCOMPUTER_H
#define MESHTRANSFORMCOMPUTER_H

#include "MeshTransformComputerGlobalVariables.h"

#include <X3DTK/kernel.h>
#include <X3DTK/meshscenegraph.h>

namespace X3DTK {
namespace MESH {

/// MeshTransformComputer processor.

class MeshTransformComputer : public X3DOnePassProcessor
{
public:
  /// Constructor.
  MeshTransformComputer();
  /// Destructor.
  virtual ~MeshTransformComputer();
  
  /// Prints the informations relative to N.
  virtual void print(SFNode N);
 
protected:
  MeshTransformComputerGlobalVariables *globalVariables;
};

}
}

#endif

