////////////////////////////////////////////////////////////////////////////////
///                            MyStructureComputer.h                         ///
////////////////////////////////////////////////////////////////////////////////

#ifndef MYSTRUCTURECOMPUTER_H
#define MYSTRUCTURECOMPUTER_H

#include "MyStructureComputerGlobalVariables.h"
#include "MySimpleMesh.h"

#include <X3DTK/kernel.h>
#include <X3DTK/meshscenegraph.h>

namespace X3DTK {
namespace MESH {

/// MyStructureComputer processor.

class MyStructureComputer : public X3DOnePassProcessor
{
public:
  /// Constructor.
  MyStructureComputer();
  /// Destructor.
  virtual ~MyStructureComputer();
  
  /// Prints the informations relative to N.
  virtual MySimpleMesh *compute(SFNode N);
 
protected:
  MyStructureComputerGlobalVariables *globalVariables;
};

}
}

#endif

