#include "MyGeometry3DCreator.h"
#include "Icosahedron.h"

namespace X3DTK {
namespace X3D {

MyGeometry3DCreator::MyGeometry3DCreator()
: DefaultGeometry3DCreator()
{
  // Defines a new creation function for the FCylinder node.
  defineNewCreationFunction<MyGeometry3DCreator>("Icosahedron", &MyGeometry3DCreator::createIcosahedron);
}

SFNode MyGeometry3DCreator::createIcosahedron() const
{
  return new Icosahedron();
}

}
}
