/// This file is part of the X3DToolKit library
/// Copyright (C) 2002-2003  Yannick Le Goc (legoc@imag.fr)

/// http://www-imagis.imag.fr/Membres/Yannick.Legoc/X3D/


/// X3DToolKit is free software; you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation; either version 2 of the License, or
/// (at your option) any later version.

/// X3DToolKit is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.

/// You should have received a copy of the GNU General Public License
/// along with X3DToolKit; if not, write to the Free Software
/// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
//                            GL_Geometry3DVisitor.h                          //
////////////////////////////////////////////////////////////////////////////////

#ifndef GL_GEOMETRY3DVISITOR_H
#define GL_GEOMETRY3DVISITOR_H

#include "GLSceneGraphTypes.h"
#include "X3DComponentVisitor.h"

namespace X3DTK {
namespace GL {

/// Concrete component Visitor for the GLGeometry3D component.

class Geometry3DVisitor : public X3DComponentVisitor
{
public:
  /// Constructor.
  Geometry3DVisitor();
  /// Destructor.
  virtual ~Geometry3DVisitor();
};

}
}

#endif
