#include "GroupingCreator.h"
#include "Group.h"
#include "StaticGroup.h"
#include "Transform.h"
#include "Switch.h"

namespace X3DTK {
namespace X3D {

GroupingCreator::GroupingCreator()
{
  defineComponentName("Grouping", "X3D");

  defineNewNode<Group>();
  defineNewNode<StaticGroup>();
  defineNewNode<Transform>();
  defineNewNode<Switch>();
}

GroupingCreator::~GroupingCreator()
{
}

}
}
