#include "LightingCreator.h"
#include "DirectionalLight.h"
#include "PointLight.h"
#include "SpotLight.h"

namespace X3DTK {
namespace X3D {

LightingCreator::LightingCreator()
{
  defineComponentName("Lighting", "X3D");

  defineNewNode<DirectionalLight>();
  defineNewNode<PointLight>();
  defineNewNode<SpotLight>();
}

LightingCreator::~LightingCreator()
{
}

}
}
