#include "ShapeCreator.h"
#include "Appearance.h"
#include "FillProperties.h"
#include "LineProperties.h"
#include "Material.h"
#include "Shape.h"

namespace X3DTK {
namespace X3D {

ShapeCreator::ShapeCreator()
{
  defineComponentName("Shape", "X3D");

  defineNewNode<Appearance>();
  defineNewNode<FillProperties>();
  defineNewNode<LineProperties>();
  defineNewNode<Material>();
  defineNewNode<Shape>();
}

ShapeCreator::~ShapeCreator()
{
}

}
}
