#include "MeshNodeListBuilderCoreVisitor.h"
#include "MESH_Transform.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace MESH {

NodeListBuilderCoreVisitor::NodeListBuilderCoreVisitor()
{
  globalVariables = GVManager::getInstanceOf<NodeListBuilderGlobalVariables>();
  
  defineNewLeaveFunction(&NodeListBuilderCoreVisitor::leaveX3DNode);
}

void NodeListBuilderCoreVisitor::leaveX3DNode(X3DNode *N) const
{
  globalVariables->pushNode(N);  
}

}
}
