TEMPLATE = lib
CONFIG *= staticlib
TARGET = x3dkerneltypes

HEADERS = \
  AbstractVisitor.h \
  AbstractWalker.h \
  EnterFunction.h \
  LeaveFunction.h \
  VisitingFunctions.h \
  Visitor.h \
  Walker.h \
  WalkingFunction.h \
  WalkOnFunction.h \
  X3DActiveFunction.h \
  X3DActor.h \
  X3DComponent.h \
  X3DComponentVisitor.h \
  X3DComponentWalker.h \
  X3DFunction.h \
  GraphTraversal.h \
  GlobalVariables.h \
  GVManager.h \
  X3DProcessor.h \
  X3DOnePassProcessor.h

SOURCES = \
  AbstractVisitor.cpp \
  AbstractWalker.cpp \
  EnterFunction.cpp \
  LeaveFunction.cpp \
  VisitingFunctions.cpp \
  Visitor.cpp \
  Walker.cpp \
  WalkingFunction.cpp \
  WalkOnFunction.cpp \
  X3DActiveFunction.cpp \
  X3DActor.cpp \
  X3DComponent.cpp \
  X3DComponentVisitor.cpp \
  X3DComponentWalker.cpp \
  X3DFunction.cpp \
  GraphTraversal.cpp \
  GlobalVariables.cpp \
  GVManager.cpp \
  X3DProcessor.cpp \
  X3DOnePassProcessor.cpp 

include(../../X3DToolKit.pri)

INCLUDEPATH += ../../../include/X3DTK
INCLUDEPATH += ../../../include/X3DTK/private

DESTDIR  = ../../../lib
OBJECTS_DIR = ../../../obj
